import multiprocessing

read_dir = r'/data/download/collection_data/1进行中/张崾先风电场-陕西-华电/收资数据/整改复核数据/2025年06月19日16时17分41秒'

import os
import pandas as pd

# 获取文件夹下所有文件的路径
file_paths = [os.path.join(read_dir, file) for file in os.listdir(read_dir) if
              os.path.isfile(os.path.join(read_dir, file))]


def read_and_save(wind_no, files, save_dir):
    # 读取文件
    df = pd.concat([pd.read_csv(file) for file in files])

    # 保存文件
    df.to_csv(os.path.join(save_dir, f'{wind_no}.csv'), index=False, encoding='utf-8')


if __name__ == '__main__':

    wind_dicts = dict()

    save_dir = r'/data/download/collection_data/1进行中/张崾先风电场-陕西-华电/收资数据/整改复核数据/合并202506191654'

    os.makedirs(save_dir, exist_ok=True)

    for file in os.listdir(read_dir):
        wind_no = file.split('(')[0]
        if wind_no not in wind_dicts:
            wind_dicts[wind_no] = [os.path.join(read_dir, file)]
        else:
            wind_dicts[wind_no].append(os.path.join(read_dir, file))

    with multiprocessing.Pool(20) as pool:
        pool.starmap(read_and_save, [(key, files, save_dir) for key, files in wind_dicts.items()])
